#
# CarlStaTrig's Parameter File
#
#
#  Basic Earthworm Setup
#
MyModuleId      MOD_CARLSTATRIG2 # Module id for this instance of CarlStaTrig
                                 # - REQUIRED
RingNameIn      FPICK_RING       # Name of ring from which trace data will be
                                 #   read - REQUIRED.
RingNameOut     TRIG_RING        # Name of ring to which triggers will be
                                 #   written - REQUIRED.
HeartBeatInterval       15       # Heartbeat Interval (seconds). REQUIRED. 

# Set debug log message level: OPTIONAL (default: 0)
#   0  log transport errors, changes in datatype, samplerate, failure to flush
#   1  above plus large gaps and overlaps 
#   2  above plus small gaps and overlaps, station trigger changes - 
#      best for beginning installations
#   3  above plus station trigger values and messages 
#   4  above plus "unable to find station..." 
#   5  above plus many details of message handling - very verbose. 

Debug 2

#
# CarlTrig Specific Setup
#
StationFile     "ewconfig/chan/carlsta_bb.scnl" # Name of file containing station information -
                                #   REQUIRED.
MaxGap          2.0             # Maximum gap between trace data points that
                                #   can be interpolated (otherwise restart the
                                #   station). OPTIONAL (default MaxGap = 1)
StartUp         7               # Minimum seconds of trace data needed to
                                #   before using LTAs REQUIRED.
LTAtime         8               # Number of seconds for LTA average
                                # OPTIONAL (default LTAtime = 8)
Decimation      1               # Decimation factor used in averages
                                # OPTIONAL (default Decimation = 1)
Ratio           2.2
Quiet           4.0
