# ewhtmlemail configuration file


# Earthworm stuff
 MyModuleId     MOD_EWHTMLEMAIL_FINAL          # Module ID
 InRing         HYPO_RING_FINAL
 HeartbeatInt   30                   # Heartbeat interval in seconds
 LogFile        1                    # If 0. don't write logfile; if 1. do
                                     # if 2. write module log but not stderr/stdout
 Debug          1

@web/ge_stuff.d

# comment this out for sat map (which is default)
StaticMapType terrain


# Get messages from
 GetLogo  INST_WILDCARD  MOD_WILDCARD # TYPE_HYP2000ARC

# Note that hyp2000arc messages can be very large if the number of stations
# is high.
 MaxMessageSize   66384

# site_file - MANDATORY station file. This corresponds to the station file in
#             hypoinverse-compatible format, as used by hyp2000. It is used to
#             know which waveforms are to be search from the waveservers and
#             also to plot the stations in the static google map.
# site_file   ${STATIONFILE}

site_file ewconfig/chan/hinv_sta.d

DontUseMd 1
MaxMagnitude 5.0
DontShowMd
UseML # include local mag info
MagWaitSeconds 60 # wait this number of seconds for ML to be computed



# HTMLFile - MANDATORY base name for the html file of this event. The actual
#            filename will be <HTMLFile>_<event id>.html
#            This configuration allows creating a folder with html files for the
#            detected seismic events.
 HTMLFile        ${EW_DATA_DIR}/web/email_final


# KML ${EW_DATA_DIR}/web/kml web/kml_preamble.txt

# EmailProgram - Optional email program. It is imperative that the email program
#                is capable of handling html email. ewhtmlemail has been created
#                specifically for sendmail. If this option is commented out, the
#                module assumes that emails are not to be sent and will not
#                include the mime header in the html file. In this sense, this
#                module becomes an event-to-html converter.

FromAddress hvo-demo@isti.com
#EmailProgram    blat.exe
# set time stamps in emails to UTC
EmailProgram /usr/sbin/sendmail
UseUTC
ShowDetail

@web/time_zone_info.d

# this next bit is just for Windows
#UseBlat
#BlatOptions "-server 127.0.0.1:1099 -p gmailsmtp"
#BlatOptions "-server mx.blah.mailserver.com -f user@domain.blah"

SubjectPrefix "${ESA_NAME} reviewed"

# Regions
@web/alert_regions_list.d


EmailRecipient test-email-alert@isti.com
#@web/isti_staff_email.d
#@web/isti_staff_sms.d
#@web/isti_clients.d

# StyleFile - Optional style file for the generated html file. Some items have
#             specific ids and classes that allows some customization through a
#             css file. Please consult the example ewhtmlemail.css file for the
#             ids and class names.
# StyleFile       /home/earthworm/params/ewhtmlemail.css

StyleFile web/ewhtmlemail.css




 #######################
 # Waveserver Settings #
 #######################
 MAX_SAMPLES   100000    # Maximum number of samples to extract from any given
                         #    station of the waveserver.
                         #    Default: 60000

 WSTimeout          5    # Waveserver timeout in seconds


# commented out wave_serverV for now
WaveServer ${WSV_IP}:${WSV_PORT}

# use ewave-plot
EwaveAddr ${EW_HOST}
EwaveProto https
#EwavePort 5000

 # TimeMargin - Optional parameter to set the time margin for downloading
 #              waveforms from the waveservers in seconds.
 #              Default: 10.0
 TimeMargin     0.0

MaxDuration 30

#MinQuality C # send in NO D quality events via email

