# gmewhtmlemail configuration file


# Earthworm stuff
 MyModuleId     MOD_GMEWHTMLEMAIL          # Module ID
 InRing         HYPO_FILT_RING
 HeartbeatInt   30                   # Heartbeat interval in seconds
 LogFile        2                    # If 0. don't write logfile; if 1. do
                                     # if 2. write module log but not stderr/stdout
 Debug          2
 DebugEmail     1  # echo the email command used if set to 1
 GroupDist 10

# Get messages from
 GetLogo  INST_WILDCARD  MOD_WILDCARD # TYPE_HYP2000ARC

#DataCenter between quotes (optional and is used in the table header)
# DataCenter  "My data Center"

#RAD_file - MANDATORY Regionial office, Area office, Dam facilities file:
#           with header information for Regional and Area offices followed by 
#           facilities with Dam,RO#,RO,AO,Lat,Lon.
#           Note:  RAD file replaces Dam_file &/or full_dam_file 
 RAD_file        /Users/kfrechette/earthworm/memphis/params/pdl/region_area_dams_2017.csv

# conversions_file - file of stream gain factors used by EWAVE to convert from counts
#                   to acceleration in units of cm/s/s
#conversions_file pdl/station_conversions.txt
responseDirFmt pdl/response "%N.%S.%C.%L.sac"

# OnlyAllowThresholdsFromNetwork - optional filter to only monitor PGA values 
#				of a particular network
OnlyAllowThresholdsFromNetwork RE

#CenterPoint 45.0 -121.0  # OPTIONAL lat and lon for EmailRecipientWithMinMagAndDist

# ShortHeader - OPTIONAL flag to compress the header table and leave less whitespace

#
# DontShowMd - Optional feature to remove Md from the report.
#
# DontUseMd - Optional feature to not use Md  for email decisions for any EmailRecipientWithMinMag args
#
# UseML - OPTIONAL feature to turn on TYPE_MAGNITUDE (localmag) use
# UseMW - OPTIONAL feature to turn on TYPE_MAGNITUDE and detect MW  magnitude messages
#
# MagWaitSeconds - OPTIONAL wait this long before releasing an 
#                  email that may not have an ML or MW, default 5 seconds
 
# Note that hyp2000arc messages can be very large if the number of stations is high.
 MaxMessageSize   16384

# site_file - MANDATORY station file. This corresponds to the station file in
#             hypoinverse-compatible format, as used by hyp2000. It is used to
#             know which waveforms are to be search from the waveservers and
#             also to plot the stations in the static google map.
 site_file pdl/hinv_sta.d
                         
# dam_file - MANDATORY facilities file. A CSV file of locations whose first few columns are:
#            longitude,latitude,station code,name
#            the above has been replaced by the RAD_file config element

# HTMLFile - MANDATORY base name for the html file of this event. The actual  
#            filename will be <HTMLFile>_<event id>.html
#            This configuration allows creating a folder with html files for the
#            detected seismic events.
 HTMLFile     /Users/kfrechette/html/gmewfile

# SPfilter   
# SPfilter


# a new option is to produce GMT data
# GMTmap    

# the next four (4) settings govern what GMT format to use
#Two map projections for GMT map: Mercator or Albers. Note: Mercator is the default projection
# Mercator       
# Albers

#Cities  used when GMTmap is enable
# Cities /Users/kfrechette/earthworm/memphis/params/cities.txt

#StationNames  used when GMTmap is enable
# StationNames

#MapLegend     Used when GMTmap is enable


# KML - output (option)
#   SYNTAX for KML OPTION:
#       KML dir preamble_file
# dir is where kml file is written
# preamble_file is where kml preamblefile is read in from, must be the one from the src distro

 
# EmailProgram - Optional email program. It is imperative that the email program
#                is capable of handling html email. ewhtmlemail has been created
#                specifically for sendmail. If this option is commented out, the
#                module assumes that emails are not to be sent and will not 
#                include the mime header in the html file. In this sense, this
#                module becomes an event-to-html converter.
 EmailProgram    /usr/sbin/sendmail

# UseBlat - Optional to say that the EmailProgram is blat type, which takes 
#      syntax "blat.exe file -to recipient"
#   make sure EmailProgram has the absolute path to blat.exe if it is not 
#   in your path, but set the EmailProgram entry regardless

# BlatOptions "-server localhost:1099 -profile gmailsmtp"  - Optional if you need to use stunnel or something for gmail smtp
#           Note this is not even used if you do not have UseBlat configured in the .d file

#UseUTC - Optional to set the time at UTC in the html email messages (localtime zone of PC is default)

# SubjectFormat - Optional to set the format of the subject to customize the email. Defaults to
"Subject: %sM%3.1f %s %s UTC, NEIC ID: %s%s\n" if this is not set.
# This can optional use positional arguments on POSIX systems (e.g. Linux, macOS) where the position 
# (%N$) selects which value to be used:
# %1$ UPDATE ("UPDATE: " or "" if not an update)
# %2$ Magnitude
# %3$ SubjectPrefix
# %4$ date/time
# %5$ NEIC ID
# %6$ region
# "Subject: %1$sM%2$3.1f %3$s %4$s UTC, NEIC ID: %5$s%6$s\n"

# SubjectFormat "Subject: %sM%3.1f %s %s UTC, NEIC ID: %s%s\n"

# SubjectPrefix - Optional to set the prefix of the subject to customize the email. Defaults to EWalert if this is not set.

# SubjectPrefix "Reclamation N_TEST ENS Alert"
 SubjectPrefix "ISTI TEST ALERT USBOR"
#11/26/18 adjusted: gmbo

# ShowDetail - Optional to show a lot more event information in detail, errh, errz, gap, rms etc....

# List of email recipients
# EmailRecipient test@mail.com
# EmailRecipient a.schnackenberg@isti.com
# EmailRecipient p.friberg@isti.com
 EmailRecipient k.frechette@isti.com

# wait this number of seconds for messages to come in before releasing an event (seconds), Default is 30
 EmailDelay 30

# StaticMapType - optional, can be the maptype for the google static map. 
#  could be: terrain, satellite, or roadmap
#  Default: hybrid (satellite+roads)
 
 
 ####################### 
 # Waveserver Settings #
 #######################
 MAX_SAMPLES   100000    # Maximum number of samples to extract from any given
                         #    station of the waveserver.
                         #    Default: 60000

 WSTimeout          5    # Waveserver timeout in seconds

# List of waveservers aaa.bbb.ccc.ddd:portno
 WaveServer ${WSV_IP}:${WSV_PORT}  #16027 wave_serverV
# WaveServer ${WWS_IP}:${WWS_PORT}  #16022 Winston waveserver
 # TimeMargin - Optional parameter to set the time margin for downloading 
 #              waveforms from the waveservers in seconds.
 #              Default: 10.0
 TimeMargin     10.0
 

 # MaxDuration - is the maximum duration of the trace from origin_time - TimeMargin to endtime+ TimeMargin
 # if trace is longer than this in length, then endtime is set to  origin_time - TimeMargin + MaxDuration 
 MaxDuration    150.0   # defaults to 144 seconds, new feature



 # EWAVE: a RESTful plotting service, optional (instead of Google Trace API or GIF)
 # Uncomment the following parameters to use it
 EwaveAddr   greendragon.isti.com
 EwavePort	 5000
#  UseGIF
 
 TraceWidth    800  # Sets width of traces (Default 600)
 TraceHeight   125  # Sets height of traces (Default 60)
 # Note that changing width or height is limited to 300 000 points for google charts
 # In addition, the css file should be changed accordingly to avoid resizing
 
# set one letter below: Note quality from hypoinverse is A,B,C,D where A is best, like in grade school!
# MinQuality D  # optional configuration that sets the letter of the minimum hypo quality to send emails
   # this filter is ONLY for email sending. All .html and .kml (if selected) will be created
# setting this to E turns this off
 MinQuality E
                         
MinPGA    0.003       # June 22, 2018 adjustments assuming cm/s2 value (.003 PGA)

 UseRegionName   # OPTION: use flynn-enghdal region names in the table at the top of the email

# MaxStationDist: Maximum distance (in km) from the origin for a station to be included in the email
#                   Default is 161km
 MaxStationDist ${MAX_SITE_DIST}


# MaxFacilityDist: Maximum distance (in km) from the origin for a facility to be included in the email
#                   Default is 161km
#MaxFacilityDist  400
 MaxFacilityDist ${MAX_DAM_DIST}

# example use of MagDist to see if it works
#MagDist  2.5 400
#MagDist  3.0 500

# db_path:  Absolute path to db file populated by ark2arc
#
#db_path     /Users/kfrechette/earthworm/memphis/params/pdl2ew.db
#         this next argument is for the USGS event ID look up, [OPTIONAL if used with pdl2ark + ark2arc]
 db_path  /Users/kfrechette/earthworm/memphis/params/pdl/pdl_evid.db

 ShowMiles       # OPTION: display distances in miles as well as km


# EmailDelay  60  # OPTION: seconds to wait until after ARC or trigger until email is sent; defaults to 30

# EarthquakeDisclaimer: Optional path to a file to be appended to earthquake emails sent out
 EarthquakeDisclaimer /Users/kfrechette/earthworm/memphis/params/pdl/quake.txt

# TriggerDisclaimer: Optional path to a file to be appended to trigger emails sent out
 TriggerDisclaimer /Users/kfrechette/earthworm/memphis/params/pdl/trigger.txt

# PlotAllSCNLs: OPTION: if absent, only plot SCNL w/ maximum PGA for each SNL

# This is the developer key needed to use MapQuest's map-generating service
# If specified, MapQuest will be used instead of Google
# MapQuestKey    zCEDOZnI4MEeUAXGnyhIMukced6uGWcw 

# ShowRegionAndArea: Option to show USBoR Facility Region & Area information
ShowRegionAndArea

# MapQuestKey: OPTION: Developer key to used MapQuest for generating maps (use Google if not present)
 MapQuestKey zCEDOZnI4MEeUAXGnyhIMukced6uGWcw

# IgnoreOlderThanHours: Option to not send email for events older than this many hours old
# Note: This is a moving target! Sources may publish immediately or wait several mins to many mins/hours to days and several sources
# may publish simultaneously within this IgnoreOlderThanHours time.
# IgnoreOlderThanHours 24 
# change to 24 minutes (Meremonte 3/22/2019)
# IgnoreOlderThanHours 0.4
# change to 1 hour after several USGS pdl notificaitons older than 24 mins
# and ouple older than 4 & 5 hours in the 1st week of April 2019.  (Meremonte 4/9/2019)
 IgnoreOlderThanHours 6

# IgnoreArcOlderThanSeconds
# Parameter used to determine if a PDL earthquake is too old to be processed at all.
# Or any quake origin update more than 24 hrs old will be ignored
# Below parameter of 86400 secs is set to 24 hrs
# 3 days = 259200 secs
 IgnoreArcOlderThanSeconds   259200     # OPTION

# The path to utc2localtime.py
# timezone localized to Earthquake epicenter:
 PathToLocaltime /Users/kfrechette/earthworm/memphis/params/pdl/utc2localtime.py

# The full path to the Python executable used to execute utc2localtime.py
 PathToPython    /usr/bin/python

 ReportEstimatedPGAs pdl

 # SubscriptionPath pdl/subscriptions.txt

 PathToEventEmail /Users/kfrechette/email_logs

# Options to control size of email generated
# MaxFacilitiesOnMap   10     # default is 25
# MaxFacilitiesInTable 100    # default is no limit

# DontHiliteMax     # Option to night highlight maxima

# Include or Not Include the waveform plot to the notification
# Default is with waveforms; comment out to NOT include waveform(s)
# NoWaveformPlots

# list of PGA(%g) threshold values and colors (name or #FFFFFF) in decreasing order
ColorPGA 25 red
ColorPGA 10 orange
ColorPGA 5 yellow
#ColorPGA 3 green   #==> too dark!!
ColorPGA 3 forestgreen
#ColorPGA 1 darkgreen  #==> too dark!!
ColorPGA 1 greenyellow
ColorPGA 0.1 mediumseagreen
ColorPGA 0.0001 lightgrey

