#ifndef Q6602EW_CONFIG_H
#define Q6602EW_CONFIG_H
#include "libsupport.h"
#include "q6602ew_platform.h"
#include "libdataserv.h"
#include "earthworm_defs.h"

#define OCT_1_2016 23673600 /* first possible valid data */
#define MAX_DATE 0x7FFF0000 /* above this just has to be nonsense */
#define JANfIRST2016 1451606400.0

/* what is in our config */
typedef struct {
  BOOLEAN send_mini;
  BOOLEAN send_trace;
  BOOLEAN write_archive;
  tfile_owner fowner;
  tpar_create par_create ; /* parameters to create context */
  tpar_register par_register ; /* parameters to register */
  tds_par dataserv;
  char ConfigFileName[MAX_DIR_LEN];
  char ContFileDir[MAX_DIR_LEN];
  char ModuleId[MAX_MOD_STR];
  char RingName[MAX_RING_STR];
  char MseedRingName[MAX_RING_STR];
  long RingKey;
  long MseedRingKey;
  int32  statusinterval;
  int32  HeartbeatInt;
  int32  LogFile;
} Q660Configuration;

int32 readConfig(char *);
void printConfigStructToLog();
void setupDefaultConfiguration();

#endif
